Subject: bug#14346: closed (Re: bug#14346: [O] bug#14346: 24.3; beginning-of-visual-line jumps to previous line in org-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 30 Sep 2019 16:00:03 +0000

Your bug report

#14346: 24.3; beginning-of-visual-line jumps to previous line in org-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14346: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14346
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14346: [O] bug#14346: 24.3; beginning-of-visual-line jumps to previous line in org-mode
From: Stefan Kangas <[email-masked]>
To: Carsten Dominik <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, E Sabof <[email-masked]>, [email-masked]
Date: Mon, 30 Sep 2019 17:59:28 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Carsten Dominik <[email-masked]> writes:

> I have implemented these in Org master, so this will eventually mode
> into emacs as well.

It seems like this was implemented at the time, and should be merged
to master by now.  I'm therefore closing this bug report.

If there is still any issues here that I'm missing, please reopen the
bug report.

Best regards,
Stefan Kangas

Subject: 24.3; beginning-of-visual-line jumps to previous line in org-mode
From: E Sabof <[email-masked]>
To: [email-masked]
Date: Sat, 4 May 2013 10:08:46 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

In a buffer with org-mode and visual line-mode, paste this text:

text
[[TEXT]]

Put cursor on E
Press [left arrow].
Press [home] (or C-a, bound to org-beginning-of-line)
The cursor will go to the end of the previous line

The behavior is correct, if one invokes either of those functions through
M-x or M-:

Evgeni